<template>
  <!-- 脱敏切换 -->
  <svg-icon :icon-class="'look_'+lookStatus" @click="handleLookStatus()" />
</template>

<script>
export default {
  name: 'Lookicon',
  props: {
    lookStatus: { // 是否展示脱敏数据 true=不脱敏 false=脱敏
      type: Boolean,
      default: false
    }
  },
  methods: {
    defaultStatus() {
      this.lookStatus = false
      return false
    },
    handleLookStatus() { // 点击脱敏图标
      this.lookStatus = !this.lookStatus
      this.$emit('update:lookStatus', this.lookStatus)
      this.$emit('changeLook', this.lookStatus)
    }
  }
}
</script>

<style scoped lang="scss">
</style>
